PHP Manual
Prev |  | Next

# HttpResponse::setThrottleDelay

(no version information, might be only in CVS)

HttpResponse::setThrottleDelay -- Set throttle delay

## Description

staticbool HttpResponse::setThrottleDelay ( double seconds )

Sets the throttle delay.

> Note: Provides a basic throttling mechanism, which will yield the current process respectively thread until the entity has been completely sent.

> Note: This may not work as expected with the following SAPI(s): FastCGI.

## Parameters

`seconds`

  seconds to sleep after each chunk sent

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

HttpResponse::getBufferSize()
HttpResponse::setBufferSize()
HttpResponse::getThrottleDelay()

Prev | Home | Next
HttpResponse::setStream | Up | HttpResponse::status